de.esprit.netsuite.server.auth

## Interface GroupManager<S extends ServerContext>

- All Superinterfaces:
    PermissionControlled
  All Known Implementing Classes:
    AbstractGroupManager, DBGroupManager, DefaultGroupManager

      public interface GroupManager<S extends ServerContext>
      extends PermissionControlled

  This interface defines the methods for a AbstractPermOwnerList implementation.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteGroup(SessionId caller, Group group)`
    `Group` | `fetchGroupByName(java.lang.String groupName)`
    `Group` | `findGroupByName(java.lang.String groupName)`
    `int` | `getGroupCount()`
    `Group[]` | `getGroups()`
    `void` | `init()`
    `Group` | `insertGroup(SessionId caller, Group group)`
    `void` | `updateGroup(SessionId caller, Group group)`

    - ### Methods inherited from interface de.esprit.netsuite.server.permission.PermissionControlled

      `getPermissionDefinition`

- - ### Method Detail

    - #### init

          void init()
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getGroupCount

          int getGroupCount()

    - #### getGroups

          Group[] getGroups()

    - #### findGroupByName

          Group findGroupByName(java.lang.String groupName)

    - #### fetchGroupByName

          Group fetchGroupByName(java.lang.String groupName)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### insertGroup

          Group insertGroup(SessionId caller,
                          Group group)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateGroup

          void updateGroup(SessionId caller,
                         Group group)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deleteGroup

          void deleteGroup(SessionId caller,
                         Group group)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.